clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::RealFileSystemProvider Class Reference

`#include <FSProvider.h>`

Inheritance diagram for clang::clangd::RealFileSystemProvider:
[legend]
Collaboration diagram for clang::clangd::RealFileSystemProvider:
[legend]

## Public Member Functions
llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > | getFileSystem () const override
| Called by ClangdServer to obtain a vfs::FileSystem to be used for parsing. More...
Public Member Functions inherited from clang::clangd::FileSystemProvider
virtual | ~FileSystemProvider ()=default

## Detailed Description

Definition at line 31 of file FSProvider.h.

## Member Function Documentation

## ◆ getFileSystem()

llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > clang::clangd::RealFileSystemProvider::getFileSystem | ( |  | ) | const
| override virtual

Called by ClangdServer to obtain a vfs::FileSystem to be used for parsing.

Context::current() will be the context passed to the clang entrypoint, such as addDocument(), and will also be propagated to result callbacks. Embedders may use this to isolate filesystem accesses.

Implements clang::clangd::FileSystemProvider.

Definition at line 75 of file FSProvider.cpp.

The documentation for this class was generated from the following files:

- FSProvider.h
- FSProvider.cpp